var System=require("../../system");
var settings=require("../../../config/settings");
const CtlBase = require("../ctl.base");
const uuidv4 = require('uuid/v4');

class CustomerInfoPusherCtl {
    constructor(){
        
        // super(CtlBase.getServiceName(TmkCtl));
        // this.service=System.getObject("service.tmkSve");
        this.CustomerInfoPusherApi=System.getObject("api.customerInfoPusherApi");
    }

    async pushInfo(obj, req){
        console.log('接收到请求');
        let result = await this.CustomerInfoPusherApi.collectInfo();
        console.log('接口返回数据', result);
        return result;
    }

}

module.exports = CustomerInfoPusherCtl;
